Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 472522 - =xfce-extra/xfce4-quicklauncher-plugin-1.9.4-r1 with sys-devel/automake-1.13.1 - configure.ac:16: error: 'AM_CONFIG_HEADER': this macro is obsolete.
Summary: =xfce-extra/xfce4-quicklauncher-plugin-1.9.4-r1 with sys-devel/automake-1.13....
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: XFCE Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: automake-1.13
  Show dependency tree
 
Reported: 2013-06-06 19:22 UTC by Matt
Modified: 2014-06-20 13:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt 2013-06-06 19:22:40 UTC
the following seems to be an automake 1.13* related issue


>>> Emerging (1 of 1) xfce-extra/xfce4-quicklauncher-plugin-1.9.4-r1
 * xfce4-quicklauncher-plugin-1.9.4.tar.bz2 SHA256 size ;-) ...          [ ok ]
>>> Unpacking source...
>>> Unpacking xfce4-quicklauncher-plugin-1.9.4.tar.bz2 to /var/tmp/portage/xfce-extra/xfce4-quicklauncher-plugin-1.9.4-r1/work
>>> Source unpacked in /var/tmp/portage/xfce-extra/xfce4-quicklauncher-plugin-1.9.4-r1/work
>>> Preparing source in /var/tmp/portage/xfce-extra/xfce4-quicklauncher-plugin-1.9.4-r1/work/xfce4-quicklauncher-plugin-1.9.4 ...
 * Running libtoolize --copy --force --install --automake ...            [ ok ]
 * Running aclocal -I /usr/share/xfce4/dev-tools/m4macros ...            [ !! ]

 * Failed Running aclocal !
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/xfce-extra/xfce4-quicklauncher-plugin-1.9.4-r1/temp/aclocal.out

 * ERROR: xfce-extra/xfce4-quicklauncher-plugin-1.9.4-r1 failed (prepare phase):
 *   Failed Running aclocal !
 * 
 * Call stack:
 *     ebuild.sh, line   93:  Called src_prepare
 *   environment, line 3324:  Called eaclocal
 *   environment, line  868:  Called autotools_run_tool '--at-m4flags' 'aclocal'
 *   environment, line  640:  Called die
 * The specific snippet of code:
 *           die "Failed Running $1 !";
Comment 1 Rafał Mużyło 2013-06-07 00:30:07 UTC
> the following seems to be an automake 1.13* related issue
...and you base this assumption on ?

IOW, what's in aclocal.out ?
Comment 2 Matt 2013-06-07 06:51:48 UTC
(In reply to Rafał Mużyło from comment #1)
> > the following seems to be an automake 1.13* related issue
> ...and you base this assumption on ?
> 
> IOW, what's in aclocal.out ?

***** aclocal *****
***** PWD: /var/tmp/portage/xfce-extra/xfce4-quicklauncher-plugin-1.9.4-r1/work/xfce4-quicklauncher-plugin-1.9.4
***** aclocal -I /usr/share/xfce4/dev-tools/m4macros

configure.ac:16: error: 'AM_CONFIG_HEADER': this macro is obsolete.
    You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.ac:16: the top level
autom4te-2.69: /usr/bin/m4 failed with exit status: 1
aclocal-1.13: error: echo failed with exit status: 1



ok, so it's an issue with =automake-1.13.1

after emerging automake-1.13.2

it configures, compiles and installs fine - both are in ~ 

I'm running ~amd64
Comment 3 Samuli Suominen gentoo-dev 2014-06-20 13:25:27 UTC
fixed in tree by using AC_CONFIG_HEADERS instead